-- @author      3dmxModding
-- @version     v1.0.0.1
-- @date        20/10/20
-- @info		Realtime Script for FarmingSimulator 2019


Realtime = {}
addModEventListener(Realtime);

function Realtime:loadMap(name)
	self.timeHour = "%H";
	self.timeMinute = "%M";
	self.timeSecond = "%S";
end;

function Realtime:update()
	local Hour = getDate(self.timeHour);
	local Minute = getDate(self.timeMinute);
	local Second = getDate(self.timeSecond);
	local Min = Minute*(1/60);
	local Sec = Second*0.001*(1/60);
	self.Time = Hour + Min + Sec;
	if g_currentMission.environment.currentHour ~= self.Time then
		g_currentMission.environment:consoleCommandSetDayTime(self.Time);
	end;
	if g_currentMission.missionInfo.timeScale ~= 1 then	
		g_currentMission.missionInfo.timeScale = 1;
	end;
end

function Realtime.prerequisitesPresent(specializations)
	return true;
end

function Realtime:mouseEvent(posX, posY, isDown, isUp, button)
end

function Realtime:draw()
end

function Realtime:keyEvent(unicode, sym, modifier, isDown)
end

function Realtime:deleteMap()
end